Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 589714 - correct cases where report library crashes when no user I/O is available
correct cases where report library crashes when no user I/O is available
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Gavin Romig-Koch
David Kutálek
:
Depends On: 589712
Blocks: 589715
  Show dependency treegraph
 
Reported: 2010-05-06 14:10 EDT by Gavin Romig-Koch
Modified: 2010-11-10 16:29 EST (History)
3 users (show)

See Also:
Fixed In Version: report-0.14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 589712
Environment:
Last Closed: 2010-11-10 16:29:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gavin Romig-Koch 2010-05-06 14:10:35 EDT
+++ This bug was initially created as a clone of Bug #589712 +++

These crashes need to be turned into error messages.

As part of this, implement a no-query option to the report command, 
so that it's easy to test these cases.
Comment 2 RHEL Product and Program Management 2010-05-06 15:55:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Gavin Romig-Koch 2010-05-19 15:50:11 EDT
fixed in fedorahosted src repo.
Comment 7 David Kutálek 2010-06-28 09:46:04 EDT
Gavin,
please can you advice some way how to reproduce?
I found out TextIO is used as a fallback io, so I tried nohup but it still gives traceback. 
David

---

[root@timothy plugins-basic]# nohup report /tmp/dummy-report.txt 
nohup: ignoring input and appending output to `nohup.out'
[root@timothy plugins-basic]# cat ./nohup.out 


Where do you want to send this report:
1: ftp
2: localsave
3: RHEL-bugzilla.redhat.com
4: scp
0: cancel
Choice (0-4): Traceback (most recent call last):
  File "/usr/bin/report", line 160, in <module>
    app = report.report(signature, io, **optsDict)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 489, in report
    choice = buildChoices(signature, io, config, rptopts)
  File "/usr/lib64/python2.6/site-packages/report/__init__.py", line 463, in buildChoices
    choice = io.queryChoice(_("Where do you want to send this report:"), choices)
  File "/usr/lib64/python2.6/site-packages/report/io/TextIO.py", line 85, in queryChoice
    choice = raw_input("Choice (0-%s): " % (count-1,))
IOError: [Errno 9] Bad file descriptor

---
Comment 9 Gavin Romig-Koch 2010-10-05 03:08:39 EDT
This bz can only be tested by calling the library directly.  The following python script would crash before this bz was fixed.  It will/should not crash now.


test.py -------------------------------
#/usr/bin/python
import report
report.report(None,None)
---------------------------------------

The crash in comment #7 is a separate issue, and should be a separate bz.
Comment 10 David Kutálek 2010-10-05 05:26:25 EDT
Ok, traceback from Comment #7 is reported as new Bug #591920.
Comment 11 David Kutálek 2010-10-05 05:27:43 EDT
Sorry, bad bug number. Correct is Bug #640218.
Comment 13 releng-rhel@redhat.com 2010-11-10 16:29:10 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.